#!/bin/sh

cd /tmp

wget "http://www.funet.fi/pub/msx/emulator/system_roms/openMSX/Philips/nms8250.zip"

unzip nms8250.zip

cp nms8250* /usr/share/openmsx/machines/msx2/roms/

rm -rf /usr/share/openmsx/machines/msx2/roms/nms8250.zip

rm -rf nms8250*

{ cat > /usr/share/openmsx/settings.xml << END
<?xml version="1.0"?>
<!DOCTYPE msxconfig SYSTEM "msxconfig.dtd">
<msxconfig>

<!--
  This file contains the settings or user preferences.
-->

 <!-- The machine that is loaded if no machine is specified -->
  <config id="DefaultMachine">
    <parameter name="machine">msx2</parameter>
  </config>

 <!-- renderer settings: determines how openMSX outputs graphics -->
  <config id="renderer">
    <type>SDLHi</type>
  <!--
    <type>SDLGL</type>
  -->
    <parameter name="full_screen">false</parameter>
  </config>

 <!-- Audio mixer settings -->
  <config id="Mixer">
    <type>Mixer</type>
  <!-- Sample frequency, 22kHz should be enough for normal MSX, use 44.1kHz for
       Moonsound -->
    <parameter name="frequency">22050</parameter>
  <!-- Use more samples when FM sound quality is bad, e.g.
    <parameter name="samples">1024</parameter>
   -->
    <parameter name="samples">512</parameter>
  </config>

 <!-- Console font file, decorations and other settings -->
  <config id="Console">
    <type>Console</type>
    <parameter name="font">skins/ConsoleFont.png</parameter>
    <parameter name="background">skins/ConsoleBackground.png</parameter>
    <parameter name="columns">100</parameter>
    <parameter name="rows">14</parameter>
    <parameter name="placement">bottom</parameter>
    <parameter name="historysize">100</parameter>
    <parameter name="removedoubles">true</parameter>
  </config>

 <!-- Directories that are searched in, when looking for files mentioned
      on the command line or Console -->
  <config id="UserDirectories">
    <parameter>~/openMSX/roms</parameter>
    <parameter>~/openMSX/disks</parameter>
    <parameter>~/openMSX/tapes</parameter>
  </config>

 <!-- File extensions that should be bound to certain file types -->
  <config id="FileTypes">
    <type>FileTypes</type>
    <parameter class="diskimages">dsk</parameter>
    <parameter class="diskimages">di1</parameter>
    <parameter class="diskimages">di2</parameter>
    <parameter class="diskimages">xsa</parameter>
    <parameter class="rawtapeimages">wav</parameter>
    <parameter class="cassetteimages">cas</parameter>
    <parameter class="romimages">rom</parameter>
    <parameter class="romimages">ri</parameter>
   </config>

<!-- These are the keybindings for the keyjoystick, a pluggable that makes you
     able to use the keyboard in stead of a joystick in joystick-only soft -->
   <config id="KeyJoystick">
     <type>KeyJoystick</type>
     <parameter name="upkey">UP</parameter>
     <parameter name="rightkey">RIGHT</parameter>
     <parameter name="downkey">DOWN</parameter>
     <parameter name="leftkey">LEFT</parameter>
     <parameter name="buttonakey">SPACE</parameter>
     <parameter name="buttonbkey">M</parameter>
   </config>

 <!-- Keymap definition file -->
  <config id="KeyMap">
   <!--
    <parameter name="filename">keymaps/keymap.default</parameter>
   -->
  </config>

</msxconfig>

END
}

{ cat >> /var/log/packages/openmsx-0.5.0-i486-2chr << END
usr/share/openmsx/machines/Philips_NMS_8250/roms/nms8250_basic-bios2.rom
usr/share/openmsx/machines/Philips_NMS_8250/roms/nms8250_disk.rom
usr/share/openmsx/machines/Philips_NMS_8250/roms/nms8250_msx2sub.rom
END
}
